Bug 1836914 - unable to recognize no matches for kind "servicemonitor.monitoring.coreos.com" in version "monitoring.coreos.com/v1"
Summary: unable to recognize no matches for kind "servicemonitor.monitoring.coreos.com...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Jenkins
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.4.z
Assignee: Akram Ben Aissi
QA Contact: Jitendar Singh
URL:
Whiteboard:
Depends On: 1846145
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-18 13:37 UTC by OpenShift BugZilla Robot
Modified: 2020-07-30 06:28 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-06-23 00:57:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift jenkins pull 1057 None closed [release-4.4] Bug 1836914: Fix kind in ServiceMonitor for persistent template 2020-07-29 15:35:31 UTC
Red Hat Product Errata RHBA-2020:2580 None None None 2020-06-23 00:57:39 UTC

Comment 3 Jitendar Singh 2020-06-16 22:16:50 UTC
jsingh@localhost  ~/go/src/github.com/redhat-developer/jenkins/openshift/templates  ➦ 1c19ede  oc new-project jenkins-test1
Now using project "jenkins-test1" on server "https://api.jenkins-bugs-ver-4.4.8.qe.devcluster.openshift.com:6443".

You can add applications to this project with the 'new-app' command. For example, try:

    oc new-app django-psql-example

to build a new example application in Python. Or use kubectl to deploy a simple Kubernetes application:

    kubectl create deployment hello-node --image=gcr.io/hello-minikube-zero-install/hello-node
=========================================================================================
 jsingh@localhost  ~/go/src/github.com/redhat-developer/jenkins/openshift/templates  ➦ 1c19ede  oc create -f jenkins-persistent-monitored.json                          
template.template.openshift.io/jenkins-persistent-monitored created
 jsingh@localhost  ~/go/src/github.com/redhat-developer/jenkins/openshift/templates  ➦ 1c19ede  oc process jenkins-persistent-monitored -n jenkins-test1 | oc create -f -
route.route.openshift.io/jenkins created
persistentvolumeclaim/jenkins created
configmap/jenkins-trusted-ca-bundle created
deploymentconfig.apps.openshift.io/jenkins created
serviceaccount/jenkins created
rolebinding.authorization.openshift.io/jenkins_edit created
service/jenkins-jnlp created
service/jenkins created
servicemonitor.monitoring.coreos.com/jenkins-persistent-monitored created
=======================================================================================
 jsingh@localhost  ~/go/src/github.com/redhat-developer/jenkins/openshift/templates  ➦ 1c19ede  oc get pods
NAME               READY   STATUS              RESTARTS   AGE
jenkins-1-deploy   1/1     Running             0          16s
jenkins-1-n828m    0/1     ContainerCreating   0          10s
=========================================================================================
jsingh@localhost  ~/go/src/github.com/redhat-developer/jenkins/openshift/templates  ➦ 1c19ede  oc get pods -w
NAME               READY   STATUS    RESTARTS   AGE
jenkins-1-deploy   1/1     Running   0          2m8s
jenkins-1-n828m    0/1     Running   0          2m2s
jenkins-1-n828m    1/1     Running   0          2m32s
jenkins-1-deploy   0/1     Completed   0          2m39s
jenkins-1-deploy   0/1     Completed   0          2m39s
jenkins-1-deploy   0/1     Completed   0          2m47s

==============================================================================================
created a pipeline build with the image and triggered the build & result SUCCESS.

VERIFIED

Comment 5 errata-xmlrpc 2020-06-23 00:57:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2580


Note You need to log in before you can comment on or make changes to this bug.